import { MonkeyEcxStorage } from '../../core/interfaces';
declare const clear: import("@ngrx/store").ActionCreator<"[MECX Core Storage] Clear All", () => import("@ngrx/store/src/models").TypedAction<"[MECX Core Storage] Clear All">>;
declare const create: import("@ngrx/store").ActionCreator<"[MECX Core Storage] Create", (props: {
    data: MonkeyEcxStorage[];
}) => {
    data: MonkeyEcxStorage[];
} & import("@ngrx/store/src/models").TypedAction<"[MECX Core Storage] Create">>;
declare const deleteOne: import("@ngrx/store").ActionCreator<"[MECX Core Storage] Delete One", (props: {
    data: MonkeyEcxStorage;
}) => {
    data: MonkeyEcxStorage;
} & import("@ngrx/store/src/models").TypedAction<"[MECX Core Storage] Delete One">>;
declare const updateControl: import("@ngrx/store").ActionCreator<"[MECX Core Storage] Update Control", (props: {
    data: any;
}) => {
    data: any;
} & import("@ngrx/store/src/models").TypedAction<"[MECX Core Storage] Update Control">>;
declare const updateOne: import("@ngrx/store").ActionCreator<"[MECX Core Storage] Update One", (props: {
    data: MonkeyEcxStorage;
}) => {
    data: MonkeyEcxStorage;
} & import("@ngrx/store/src/models").TypedAction<"[MECX Core Storage] Update One">>;
export { clear, create, deleteOne, updateControl, updateOne };
